#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 addon for jobs
Name:           kjobwidgets
Version: 5.42.0
%define subrel  2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  cmake
BuildRequires:  kf5-macros
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version

Conflicts:      %{_lib}kf5jobwidgets5 < 5.42.0-1.1

%description
KDE Frameworks 5 Tier 2 addon for jobs

%files -f %{name}5_qt.lang
%_sysconfdir/xdg/kjobwidgets.categories

#--------------------------------------------------------------------

%define kf5jobwidgets_major 5
%define libkf5jobwidgets %mklibname kf5jobwidgets %{kf5jobwidgets_major}

%package -n %libkf5jobwidgets
Summary:      KDE Frameworks 5 Tier 2 addon for jobs
Group:        System/Libraries
Requires:     %name = %version-%release

%description -n %libkf5jobwidgets
KDE Frameworks 5 Tier 2 addon for jobs

%files -n %libkf5jobwidgets 
%_kf5_libdir/libKF5JobWidgets.so.%{kf5jobwidgets_major}*

#--------------------------------------------------------------------

%define kf5jobwidgets_devel %mklibname kf5jobwidgets -d

%package -n %kf5jobwidgets_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5jobwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}
Requires:       pkgconfig(Qt5Widgets)
Requires:       kcoreaddons-devel = %version
Requires:       kwidgetsaddons-devel = %version

%description -n %kf5jobwidgets_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5jobwidgets_devel
%_kf5_includedir/KJobWidgets
%_kf5_includedir/kjobwidgets_version.h
%_kf5_libdir/cmake/KF5JobWidgets
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri
%_datadir/dbus-1/interfaces/*.xml

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang_kf5 %{name}5_qt


%changelog
* Thu May 17 2018 neoclust <neoclust> 5.42.0-1.2.mga6
  (not released yet)
+ Revision: 1230247
- Fix typo in conflict
- Move translations out of the lib package
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088977
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074548
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072213
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058368
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050545
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045123
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041345
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021943
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014353
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999648
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986341
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942262
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921294
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913025
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909868
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900604
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899533
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898938
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888178
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881402
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862963
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862772
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862578
- Fix translations

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853808
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841584
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803369
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 743705
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681101
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660441
- New version 5.1.0

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 655184
- Rebuild against new kf5 macros

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651610
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 650299
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611290
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599771
- New version 4.97.0

* Tue Feb 18 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 594271
- imported package kjobwidgets

